/**
 * Project Name:tuia-youtui-web<br>
 * File Name:IndexReq.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.req<br>
 * Date:2017年2月9日下午2:48:47<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model.req;

import java.io.Serializable;

/**
 * ClassName: RecommendReq <br/>
 * date: 2017年2月9日 下午2:48:47 <br/>
 *
 * @author youhaijun
 * @version
 * @since JDK 1.6
 */
public class RecommendReq extends IndexReq implements Serializable{


    private Boolean              isAlipay;

    private Long              layerId;

    private Integer recommendType;//1:普通弹层，2：支付宝弹层,3实物弹层 4虚拟奖品弹层,5qb,6 话费

    private Integer isPriezeRecommend;

    public Boolean getIsAlipay() {
        return isAlipay;
    }

    public void setIsAlipay(Boolean isAlipay) {
        this.isAlipay = isAlipay;
    }

    public Long getLayerId() {

        return layerId;
    }

    public void setLayerId(Long layerId) {
        this.layerId = layerId;
    }

    public Integer getRecommendType() {
        return recommendType;
    }

    public void setRecommendType(Integer recommendType) {
        this.recommendType = recommendType;
    }

    public Integer getIsPriezeRecommend() {
        return isPriezeRecommend;
    }

    public void setIsPriezeRecommend(Integer isPriezeRecommend) {
        this.isPriezeRecommend = isPriezeRecommend;
    }
}
